Bug 441673 - No system-install-packages man page
No system-install-packages man page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 09:26 EDT by Tim Waugh
Modified: 2008-04-17 06:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 06:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-04-09 09:26:36 EDT
Description of problem:
There is no longer a man page for system-install-packages.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.1.11-1.fc9

How reproducible:
100%

Steps to Reproduce:
1.man system-install-packages
  
Actual results:
No manual page.

Expected results:
Manual page shown.

Additional info:
Worked in Fedora 8.
Comment 1 Richard Hughes 2008-04-11 11:11:56 EDT
system-install-packages is added as a symlink to gpk-install-file in the fedora
spec file - it's not upstream. We do need man pages for gpk-install-file and
gpk-install-packages, although this just needs a willing volunteer.
Comment 2 Richard Hughes 2008-04-13 09:35:25 EDT
I've added simple man pages for all the gpk-* tools in git master. When we
upgrade to 0.2.0 then we should pick up all the man pages then. Do you think we
should ship a system-install-packages.1 file in the SRPM for fedora?
Comment 3 Tim Waugh 2008-04-13 14:32:20 EDT
I think so, personally.  Either that or a symlink to the man page for the
command it is a symlink to.
Comment 4 Richard Hughes 2008-04-15 18:11:29 EDT
I've added a custom manpage in 0.1.12-3.20080415git - it'll be in koji tomorrow.

Note You need to log in before you can comment on or make changes to this bug.